Loading...
Searching...
No Matches
OgreShadowCaster.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreRenderable.h"`
`#include "OgreRenderOperation.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::ShadowCaster
| This class defines the interface that must be implemented by shadow casters. More...
class | Ogre::ShadowRenderable
| Class which represents the renderable aspects of a set of shadow volume faces. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< ShadowRenderable * > | Ogre::ShadowRenderableList

## Enumerations

enum | Ogre::ShadowRenderableFlags { Ogre::SRF_INCLUDE_LIGHT_CAP = 0x00000001 , Ogre::SRF_INCLUDE_DARK_CAP = 0x00000002 , Ogre::SRF_EXTRUDE_TO_INFINITY = 0x00000004 , Ogre::SRF_EXTRUDE_IN_SOFTWARE = 0x00000008 }
| A set of flags that can be used to influence ShadowRenderable creation. More...